.header {
    border-bottom: 1px solid #4B5168;
    background: #0D0E22;
    position: fixed;
    width: 100%;
    z-index: 9;
    top: 0;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px;
}

.header-logo {
    color: #ffffff;
    font-size: 22px;
    font-weight: 700;
    line-height: 33px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.header-img {
    max-width: 35px;
}

.header-button {
    color: #EDAB16;
    text-align: center;
    font-size: 12px;
    font-weight: 500;
    line-height: 24px;
    padding: 4px 13px;
    border-radius: 8px;
    border: 1px solid #EDAB16;
    margin: 0 10px 0 auto;
}

.header-nav {
    display: none;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
}

.burger {
    width: 30px;
    height: 23px;
    cursor: pointer;
    z-index: 5;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.burger span {
    height: 4px;
    width: 100%;
    background: #FFFFFF;
    border-radius: 2px;
    transition: 0.3s;
}

.burger.active span:nth-child(1) {
    transform: rotate(45deg) translate(6px, 6px);
}

.burger.active span:nth-child(2) {
    opacity: 0;
}

.burger.active span:nth-child(3) {
    transform: rotate(-45deg) translate(7px, -7px);
}

.modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: #212332;
    transform: translateY(-100%);
    transition: 0.4s ease;
    z-index: 4;
    padding: 20px 16px;
}

.modal.active {
    transform: translateY(0);
}

.modal-content {
    display: flex;
    flex-direction: column;
    gap: 40px;
    justify-content: center;
    align-items: center;
    position: relative;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.modal-lang {
    content: "";
    background-image: url("../imgs/iconamoon_arrow-down-2-fill.svg");
    width: 18px;
    height: 18px;
    position: absolute;
    top: 50%;
    right: 11px;
    transform: translateY(-50%);
}

.modal-header {
    display: flex;
}

.modal .header-logo {
    justify-content: left;
    max-width: 149px;
}

.modal-button {
    position: absolute;
    bottom: 20px;
    font-weight: 500;
    text-align: center;
    border: 1px solid #EDAB16;
    color: #EDAB16;
    padding: 9px 0;
    width: calc(100% - 32px);
    border-radius: 8px;
}
